Horde Kronolith Calendar Event Manipulation XSS

2005-12-11T11:26:26
ID OSVDB:21609
Type osvdb
Reporter Johannes Greil(j.greil@sec-consult.com)
Modified 2005-12-11T11:26:26

Description

Vulnerability Description

Kronolith contains a flaw that allows a remote cross site scripting attack. This flaw exists because the application does not validate 'delete events' and 'edit attendees' variables upon submission to the edit calendar script. This could allow a user to create a specially crafted URL that would execute arbitrary code in a user's browser within the trust relationship between the browser and the server, leading to a loss of integrity.

Solution Description

Upgrade to version 2.0.6 or higher, as it has been reported to fix this vulnerability. An upgrade is required as there are no known workarounds.

Short Description

Kronolith contains a flaw that allows a remote cross site scripting attack. This flaw exists because the application does not validate 'delete events' and 'edit attendees' variables upon submission to the edit calendar script. This could allow a user to create a specially crafted URL that would execute arbitrary code in a user's browser within the trust relationship between the browser and the server, leading to a loss of integrity.

References:

Secunia Advisory ID:17971 Secunia Advisory ID:18827 Related OSVDB ID: 21610 Related OSVDB ID: 21611 Related OSVDB ID: 21608 Other Advisory URL: http://www.debian.org/security/2006/dsa-970 Mail List Post: http://lists.horde.org/archives/announce/2005/000234.html Mail List Post: http://archives.neohapsis.com/archives/fulldisclosure/2005-12/0459.html FrSIRT Advisory: ADV-2005-2834 CVE-2005-4189